Retrieve an MCP server

Returns a single org-level MCP server. Secret values are never returned.

Scope: plugins:read

Authentication

AuthorizationBearer

Your ara_ API key from Settings > Ara API. Keys are capability-scoped: run, plugins:read, secrets:read, secrets:write, sessions:read, knowledge:read, repos:read, repos:write, reviews:read, reviews:write, analytics:read, org:read, org:write, attachments:read, attachments:write, plugins:write, guardrails:read, guardrails:write.

Path parameters

orgIdstringRequired

Organization id or slug. Resolve it with GET /v3/self.

idstringRequired
The MCP server id.

Response

The MCP server.
idstring
slugstring
namestring
iconstring or null
descriptionstring
sourcestring
transportenum
urlstring or null
commandstring or null
argslist of strings
envmap from strings to strings
headersmap from strings to strings
auth_typeenum
secret_nameslist of strings

The names of the secrets configured for this server. Secret values are write-only and are never returned.

accessstring
enabledboolean
created_atdatetime
updated_atdatetime

Errors

404
Not Found Error